<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<title>Demo display data from database in php using ajax and json</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
</head>
<body>
	
	<div class="container-fluid">
		<div class="row mt-3">
			<div class="col-md-5">
				<h4>Employee Name Search</h4>
				<form class="form-inline" method="POST" id="userFrm">
					<div class="form-group mb-2">
						<label for="userName">Enter First Name: </label>
						<input id="userName" type="text" name="user" class="form-control" required> 
					</div>
					<button type="submit" class="btn btn-primary mb-2 ml-2">Submit</button>
					<button type="button" class="btn btn-primary mb-2 ml-2" id="clearBtn">Clear</button>
					
					<div id="loader" class="ml-2 d-none"><img src="loader.gif"></div>
				</form>
			</div>
		</div>
		<div id="showAjaxResults"></div>
		
	</div>
	
	
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
	
	<script>
		$(document).ready(function(){
			$("#userFrm").submit(function(e){
				e.preventDefault();
				var getName= $("#userName").val();
				
				$("#loader").removeClass('d-none');
				$.ajax({
					dataType:'json',
					type: 'POST',
					data: {name:getName},
					url: 'get-user-data.php',
					success:function(response){
						//console.log(data);
						//$("#showAjaxResults").html(data);
						
						$("#loader").addClass('d-none');
						
						if(response.length > 0)
						{
							var displayTable = htmlTable(response);
							
							$("#showAjaxResults").html(displayTable);
						}
						else
						{
							$("#showAjaxResults").html("No user found");
						}
					}
				});
			});
			
			
			
			$("#clearBtn").click(function(){
				$("#showAjaxResults").html('');
			});
		});
		
		
		function htmlTable(data)
		{
			if(Array.isArray(data))
			{
				html = data.length+' records found';
				html += '<table class="table table-bordered">';
				html += "<tr>";
				html += "<th>First Name</th>";
				html += "<th>Last Name</th>";
				html += "<th>Email</th>";
				html += "<th>Phone</th>";
				html += "<th>Country</th>";
				html += "</tr>";
				
				for(i=0;i<=data.length-1;i++)
				{
					//console.log(data[i]['first_name']);
					html += "<tr>";
					html += "<td>"+data[i]['first_name']+"</td>";
					html += "<td>"+data[i]['last_name']+"</td>";
					html += "<td>"+data[i]['email']+"</td>";
					html += "<td>"+data[i]['phone']+"</td>";
					html += "<td>"+data[i]['country']+"</td>";
					html += "</tr>";
				}
				
				html += '</table>'; 
				
				return html;
			}
			
			return false;
		}
	</script>
	
</body>
</html>